@echo off
set wdir=%winbootdir%
cls
echo Ŀ
echo Backup/Restore von Windows        (c) W. Buthe, 11/1999
echo 
%wdir%\
cd %wdir%
cd..
cd
dir /a %wdir%*|find "<DIR>"
cd \
cd
dir /a progra*|find "<DIR>"
echo 

echo %0 | find "%wdir%\STARTM~1\PROGRA~1\AUTOST~1\">nul
if errorlevel 1 goto los
echo  Umbenennen des Programm-Ordners 
echo.
if exist PROGRAMM\nul if not exist "Programme\nul" goto rename
  echo Entweder fehlt Ordner 'PROGRAMM' oder Ordner 'Programme' existiert bereits!
  del %0|exit
:rename
echo Der Ordner 'PROGRAMM' wird jetzt in 'Programme' umbenannt:
move PROGRAMM Programme
echo Die Ordner 'PROGRAMM.BAD' und '%wdir%.BAD' enthalten die
echo vorherige Windows-Version und knnen gelscht werden.
choice /c:jn Soll das jetzt gleich erledigt werden 
if errorlevel 2 goto nix_del
  deltree /y PROGRAMM.BAD
  deltree /y %wdir%.BAD
:nix_del 
echo				Fertig!
del %0|exit

:los
mem /c|find /i "VMM32" >nul
if errorlevel 1 goto w_restore

echo %0|find ":"|if errorlevel 1 goto endif_1
echo %0|find /i "D:\WIN_BAK"|if not errorlevel 1 goto endif_1
  echo  Fehler 
  echo.
  echo 'Win_bak.bat' MUSS sich in in 'D:\' befinden, daher wird
  echo es jetzt dorthin kopiert von dort nochmal gestartet.
  echo.
  echo '%0' wird jetzt an dieser Stelle gelscht!
  pause
  copy %0* D:\
  del  %0*|D:\WIN_BAK.BAT
:endif_1

::*****************************************************************************
set ex1=
if exist %wdir%.GUT\nul set ex1=.GUT
set ex2=E
if exist Programm.GUT\nul set ex2=.GUT

echo  Backup von Windows 
echo Es werden nun von den Ordnern '%wdir%%ex1%', als auch von
echo 'PROGRAMM%ex2%' Kopien angelegt, welche den gleichen Namen zuzglich der
echo Endung '.BAK' tragen. Sie befinden sich auch an der gleichen Stelle, wie die
echo Original-Ordner. Durch Umbennen dieser Kopien in den Original-Namen kann man
echo damit sein System wieder restaurieren. Dieses Umbennen sollte man ebenfalls
echo von dieser `Win_bak.bat` erledigen lassen. Dazu mu diese jedoch im sogenan-
echo ten MS-DOS-Modus gestartet werden. In diesen Modus gelangt man mit:
echo "Start -> Beenden... -> Computer im MSDOS-Modus starten"
echo Auerdem kann man diesen Modus auch whrend des Bootvorganges mit dem Drcken
echo der Taste F8 und dem Auswhlen von `Nur Eingabeaufforderung` erreichen.
echo.
choice /c:jn Jetzt mit dem Backup beginnen 
if errorlevel 2 goto Ende

for %%i in (%wdir%.BAK %wdir%.BAD PROGRAMM.BAK PROGRAMM.BAD ROOT.BAK) do deltree /y %%i

echo 1.) kopiere %wdir%%ex1% nach %wdir%.BAK\ ...
xcopy /Q/H/K/E/T %wdir%%ex1% %wdir%.BAK\
xcopy /Q/H/K/E   %wdir%%ex1% %wdir%.BAK\
if errorlevel 1 set err= 1.

echo 2.) kopiere PROGRAMM%ex2% nach PROGRAMM.BAK\ ...
xcopy /Q/H/K/E/T PROGRAMM%ex2% PROGRAMM.BAK\
xcopy /Q/H/K/E   PROGRAMM%ex2% PROGRAMM.BAK\
if errorlevel 1 set err=%err% 2.

set ex2=*.*
if exist ROOT.GUT\nul set ex2=ROOT.GUT
echo 3.) kopiere %ex2% nach ROOT.BAK\ ...
xcopy /Q/H/K %ex2% ROOT.BAK\
if errorlevel 1 set err=%err% 3.

set ex2=
dir /a progra*|find "<DIR>"
dir /a %wdir%*|find "<DIR>"
if (%err%)==() goto ende
echo Beim Kopieren sind Fehler bei%err% passiert!
goto ende
::*****************************************************************************
:w_restore
echo  Restaurieren von Windows 
echo.

set BAK=GUT
if exist %wdir%.BAK\nul set BAK=BAK
if not exist %wdir%.%BAK%\nul goto fehler

echo Es wird nun Windows restauriert. Dazu werden die Ordner mit den
echo Endungen '.%BAK%' wieder in ihre Original-Namen zurckbenannt. Dies ist jedoch
echo hier in diesem MS-DOS-Modus nicht fr den Ordner 'Programme' komplett mglich,
echo da in diesem Modus noch keine langen Dateinamen untersttzt werden. Dies kann
echo erst dann geschehen, wenn Windows gestartet ist und geschieht automatisch,
echo sobald der Desktop zu sehen ist! Nach dem Restaurieren wird gleich
echo noch einmal darauf hingewiesen.
echo. 
echo Auerdem werden die aktuell noch aktiven Ordner so umbenannt, da sie
echo hinterher die Endung '.BAD' (engl.: schlecht) haben. Diese knnen gelscht
echo werden, wenn man mag.

choice /c:jn Jetzt mit dem Restaurieren beginnen 
if errorlevel 2 goto Ende

echo Ok, ich restauriere...

copy %wdir%\command\move.exe
rename PROGRA~1       PROGRAMM.BAD
rename PROGRAMM.%BAK% PROGRAMM
move %wdir%       %wdir%.BAD
move %wdir%.%BAK% %wdir%
del move.exe

cd\
dir /a progra*|find /i "<DIR>"
dir /a %wdir%*|find /i "<DIR>"

if exist PROGRAMM\nul if exist %wdir%\nul goto endif_2
  echo Der Ordner 'PROGRAMM' und/oder '%wdir' existiert nicht!
  goto ende
:endif_2

copy D:\win_bak.bat %wdir%\STARTM~1\PROGRA~1\AUTOST~1>nul
echo.
echo Der Ordner 'Programm'
echo wird in    'Programme'
echo umbenannt, sobald der Windows-Desktop wieder da ist!
echo.
if exist %wdir%.gut/nul goto Ende
echo Auerdem sollte bald (mglichst gleich nach og. Umbenennen) mit dem erneueten
echo Aufruf von 'Win_bak.bat' (unter Windows) ein frisches Backup angelegt werden.
goto Ende
::*****************************************************************************

:fehler
echo Leider kein Restaurieren mglich, da der Ordner '%wdir%.BAK' fehlt!
:Ende
echo				Fertig!